﻿Type=StaticCode
Version=2
ModulesStructureVersion=1
B4i=true
@EndOfDesignText@
'Code module

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'Public variables can be accessed from all modules.
Private nome As NativeObject=Me
Type Point (X As Float, Y As Float)
End Sub

Public Sub GetCenter(View As View) As Point
Dim r As Rect
r=nome.RunMethod("GetCenter:",Array(View))
Dim p As Point
p.X=r.Left
p.Y=r.Top
Return p
End Sub

Public Sub SetCenter(View As View, Point As Point)
nome.RunMethod("SetCenter::",Array(View,nome.MakePoint(Point.X,Point.Y)))
End Sub

Public Sub PointToCGPoint(Point1 As Point) As Object
Dim p As Object
p=nome.MakePoint(Point1.X,Point1.Y)
Return p
End Sub

Public Sub CGPointToPoint(CGPoint As Object) As Point
Dim r As Rect
r=nome.RunMethod("ToPoint:",Array(CGPoint))
Dim p As Point
p.X=r.Left
p.Y=r.Top
Return p
End Sub


#If OBJC

-(B4IRect*)GetCenter: (UIView*)view
{
CGPoint cntr=view.center;
B4IRect * r;
	r=[B4IRect new];
	[r Initialize :(float)(cntr.x) :(float)(cntr.y) :(float)(0.0) :(float)(0.0)];
return r;

}

-(void) SetCenter: (UIView*)view :(CGPoint)point
{
view.center=point;
}

-(B4IRect*)ToPoint: (CGPoint)point
{

B4IRect * r;
	r=[B4IRect new];
	[r Initialize :(float)(point.x) :(float)(point.y) :(float)(0.0) :(float)(0.0)];
return r;

}

#End If